#ifndef DETECTEUR_VISAGES_HPP_
#define DETECTEUR_VISAGES_HPP_

#include <string>
#include <vector>
#include <opencv2/core/core.hpp>
#include <opencv2/objdetect/objdetect.hpp>

class DetecteurVisages
{
public:
  DetecteurVisages(const std::string &fichierCascade);

  virtual ~DetecteurVisages();

  std::vector<cv::Rect> detecter(const cv::Mat &trame);

  void dessinerDetection(cv::Mat &trame, const std::vector<cv::Rect> &visages);

  void flouterVisages(cv::Mat &trame, const std::vector<cv::Rect> &visages);

private:
  void flouterVisage(cv::Mat &zoneVisage);

  DetecteurVisages(const DetecteurVisages&);

  DetecteurVisages &operator=(const DetecteurVisages&);

private:
  cv::CascadeClassifier m_cascadeVisage;
};

#endif /* DETECTEUR_VISAGES_HPP_ */
