#include <cstdlib>
#include <iostream>
#include "opencv2/highgui/highgui.hpp"

#include "DetecteurVisages.hpp"

void
usage(const char *cmd)
{
  std::cerr << "Usage: " << cmd << " fichier-cascade video" << std::endl;
  exit(EXIT_FAILURE);
}

int
main(int argc, char **argv)
{
  if(argc != 3)
    usage(argv[0]);

  DetecteurVisages detecteurVisages(argv[1]);
  cv::VideoCapture video(argv[2]);
  if(!video.isOpened()) {
    std::cerr << "Erreur de lecture du fichier video: " << argv[2] << std::endl;
    return EXIT_FAILURE;
  }
  
  cv::Mat trame;
  for(;;) {
    video >> trame;
    if(trame.empty())
      break;

    std::vector<cv::Rect> visages = detecteurVisages.detecter(trame);
    cv::Mat trameCpy = trame.clone();
    detecteurVisages.dessinerDetection(trameCpy, visages);
    detecteurVisages.flouterVisages(trame, visages);
    cv::imshow("Detection visages", trameCpy);
    cv::imshow("Visages floutés", trame);
    cv::waitKey(40);
  }

  return EXIT_SUCCESS;
}
